Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Class PartBuilderSupport

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport

All Implemented Interfaces:
  PartBuilder, Available, com.tonbeller.wcf.bookmarks.Bookmarkable

Direct Known Subclasses:
  AxisBuilderSupport, CellBuilderImpl, CornerBuilderImpl, PartBuilderDecorator, SlicerBuilderImpl, SpanBuilderImpl, TableComponentExtensionSupport

    public abstract class PartBuilderSupport

extends java.lang.Object
implements PartBuilder

Created on 18.10.2002

Author:
  av

Field Summary
`protected TableComponent` | `table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`PartBuilderSupport()`

Method Summary
`void` | `destroy(javax.servlet.http.HttpSession session)` destructor, called once after session timeout
`java.lang.Object` | `getBookmarkState(int levelOfDetail)` returns null
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context, TableComponent table)` deferred ctor, called once after creation
`boolean` | `isAvailable()` true, if the current olapModel supports all extensions that are required by this partBuilder.
`void` | `setBookmarkState(java.lang.Object state)` does nothing
`protected void` | `setDirty(boolean dirty)`
`void` | `startBuild(com.tonbeller.wcf.controller.RequestContext context)` called before the DOM is built after the TableRenderer has been fully initialized
`void` | `stopBuild()` called after the DOM has been built.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected TableComponent table

Constructor Detail

### PartBuilderSupport

    public PartBuilderSupport()

Method Detail

### startBuild

    public void startBuild(com.tonbeller.wcf.controller.RequestContext context)

  Description copied from interface: `PartBuilder`
  called before the DOM is built after the TableRenderer has been fully initialized

  Specified by:
    `startBuild` in interface `PartBuilder`

### stopBuild

    public void stopBuild()

  Description copied from interface: `PartBuilder`
  called after the DOM has been built.

  Specified by:
    `stopBuild` in interface `PartBuilder`

### isAvailable

    public boolean isAvailable()

  Description copied from interface: `PartBuilder`
  true, if the current olapModel supports all extensions that are required by this partBuilder. If false, a GUI will not show related items.

  Specified by:
    `isAvailable` in interface `PartBuilder`
  Specified by:
    `isAvailable` in interface `Available`

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context,
                           TableComponent table)
                    throws java.lang.Exception

  Description copied from interface: `PartBuilder`
  deferred ctor, called once after creation

  Specified by:
    `initialize` in interface `PartBuilder`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy(javax.servlet.http.HttpSession session)
                 throws java.lang.Exception

  Description copied from interface: `PartBuilder`
  destructor, called once after session timeout

  Specified by:
    `destroy` in interface `PartBuilder`
  Throws:
    `java.lang.Exception`

### setDirty

    protected void setDirty(boolean dirty)

### getBookmarkState

    public java.lang.Object getBookmarkState(int levelOfDetail)

  returns null

  Specified by:
    `getBookmarkState` in interface `com.tonbeller.wcf.bookmarks.Bookmarkable`

### setBookmarkState

    public void setBookmarkState(java.lang.Object state)

  does nothing

  Specified by:
    `setBookmarkState` in interface `com.tonbeller.wcf.bookmarks.Bookmarkable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD